<img src="https://res.cloudinary.com/bytefury/image/upload/v1574149856/Crater/craterframe.png">

## Introduction

Crater is an open-source web & mobile app that helps you track expenses, payments & create professional invoices & estimates.

Web Application is made using Laravel & VueJS while the Mobile Apps are built using React Native.

# Table of Contents

1. [Documentation](#documentation)
2. [Download](#download)
3. [Mobile Apps](#mobile-apps)
4. [Discord](#discord)
5. [Roadmap](#roadmap)
6. [Credits](#credits)
7. [Help us translate](#translate)
8. [License](#license)

## Documentation

- [Installation Steps](https://docs.craterapp.com/installation.html)
- [User Guide](https://docs.craterapp.com/)
- [Developer Guide](https://docs.craterapp.com/developer-guide.html)
- [API Documentation](https://docs.craterapp.com/api-documentation.html)

## Download
- [Download Link](https://craterapp.com/downloads)

## Mobile Apps
- [Android](https://play.google.com/store/apps/details?id=com.craterapp.app)
- [IOS](https://apps.apple.com/app/id1489169767)
- [Source](https://github.com/bytefury/crater-mobile)

## Discord
Join the Crater discord server to discuss:
[Invite Link](https://discord.gg/nyTstm6)

## Roadmap

~~Here's a rough roadmap of things to come (not in any specific order):
-   [x] Automatic Update
-   [x] Email Configuration
-   [x] Installation Wizard
-   [ ] Address Customisation & Default notes
-   [ ] Edit Email before Sending Invoice
-   [ ] Available as a docker image
-   [ ] Performance Improvements
-   [ ] Customer View page
-   [ ] Customer Portal
-   [ ] Accept Payments (Stripe Integration)
-   [ ] Add and Use Custom Fields on Invoices & Estimates.
-   [ ] Multiple Companies
-   [ ] White Labeling (Easy Invoice, Email & Consumer Portal Theme customisation)
-   [ ] Vendors, Inventory & Bills
-   [ ] Recurring Invoices & Payment Reminders
-   [ ] Improve Accessibility


## Credits
Crater is a product of [Bytefury](https://bytefury.com)

**Special thanks to:**
* [Birkhoff Lee](https://github.com/BirkhoffLee)
* [Hassan A. Ba Abdullah](https://github.com/hsnapps)
* [Akaunting](https://github.com/akaunting/akaunting)

## Translate
Help us translate or suggest changes to existing languages if you find any mistakes by creating a new PR. 

Here's the [english-version](https://github.com/bytefury/crater/blob/master/resources/assets/js/plugins/en.json) json file which you can use as a reference.

## License
Crater is released under the Attribution Assurance License.
See [LICENSE](LICENSE) for details.
